Page MenuHomePhabricator

Showcase a termbox placeholder in the mobile frontend of m.wikidata.org
Closed, ResolvedPublic13 Story Points

Description

We would like to create the technical basics for the termbox implementation.
Therefor we implement a termbox placeholder with the decided technologies.

  • Hidden behind feature flag
  • Below the title and watchlist there is a grey rectangle indicating where the termbox info will be.

Dev note:
This story will include introducing vue.js to the frontend for all termbox related things.
Ideally, the watchlist star and title stay out of it.

Event Timeline

Jonas triaged this task as Normal priority.Oct 4 2018, 9:22 AM
Jonas created this task.
Pablo-WMDE renamed this task from Showcase a termbox placeholder in the mobile frontend of m.Wikidat.org to Showcase a termbox placeholder in the mobile frontend of m.wikidata.org.Oct 9 2018, 8:15 AM
Addshore moved this task from incoming to in progress on the Wikidata board.Oct 9 2018, 9:36 AM
Lea_WMDE changed the point value for this task from 8 to 13.Oct 17 2018, 9:14 AM
Pablo-WMDE added a subscriber: Pablo-WMDE.EditedNov 1 2018, 4:20 PM

Random observations I'd like to discuss before we call this:

  • id="app" on the vue root element needs to change - in theory this is bigger than "termbox" as the actual termbox component is a (currently only) child of it. How about wikibase-vue-view for starters? I'm also tempted to leave the technology out of it but I think it's ok for it to be "special" for the moment. => id removed, the mount element is now called .wikibase-entitytermsview
  • data-server-rendered=true is very handy indeed to quickly tell if HTML was produced on the server side. Should we add another / remove this data attribute when (re)drawing on the client side?
  • apparently the CSS for .termbox-placeholder does not come into effect when looking at wikibase including the SSR result w/o JS, i.e. it's not a grey box. => find, fix

Change 471050 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] Termbox: provide CSS withouth JS, too

https://gerrit.wikimedia.org/r/471050

Change 471050 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Termbox: provide CSS without JS, too

https://gerrit.wikimedia.org/r/471050

Hi @Jakob_WMDE , can you tell me where I can test this? Thanks :)

@Lea_WMDE Hi! We're working on getting it to beta! I'll try to remember to add a link once it's there.

Lea_WMDE closed this task as Resolved.Nov 12 2018, 9:35 AM
Lea_WMDE claimed this task.

yay! What a beautiful grey rectangle!